import { Dispatcher } from 'flux';
import { StoreResponses } from './Store';
import StoreFactory from './StoreFactory';
import Store from './Store';
export declare function getActionTypes(store: Store<any>): Array<string>;
export declare function getDispatcher(store: Store<any>): Dispatcher<any>;
export declare function getDispatchToken(store: Store<any>): string;
export declare function getGetter<T>(store: Store<T>): (...args: Array<any>) => T;
export declare function getId(store: Store<any>): string;
export declare function getFactory<T>(store: Store<T>): StoreFactory<T>;
export declare function getName(store: Store<any>): string;
export declare function getResponses(store: Store<any>): StoreResponses<any>;
export declare function getState<T>(store: Store<T>): T;
export declare function isStore(store: any): boolean;
