"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.makeDisplayName = makeDisplayName;
exports.focuser = focuser;

function makeDisplayName(prefix, BaseComponent) {
  var baseComponentName = BaseComponent.displayName || BaseComponent.name || 'Component';
  return "".concat(prefix, "(").concat(baseComponentName, ")");
}

function focuser(instance) {
  var _instance$wrappedInst;

  if (!instance.wrappedInstance || typeof instance.wrappedInstance.focus !== 'function') {
    return undefined;
  }

  for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    args[_key - 1] = arguments[_key];
  }

  return (_instance$wrappedInst = instance.wrappedInstance).focus.apply(_instance$wrappedInst, args);
}